summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Mark Grocock2010-10-24 22:49:51 +0200
committer Michiel van Wessem2010-10-24 22:49:51 +0200
commitd38c68008200fc8dca8b70c30bdb0675c8a2d6b5 (patch)
tree1c4030783c3541f47a2c189ec4193988474292f7 /libraries
parentfd38bf3780d5d2bdd00b292d05b0f78be82815d8 (diff)
downloadslackbuilds-d38c68008200fc8dca8b70c30bdb0675c8a2d6b5.tar.gz
libraries/perl-MP3-Info: Added. (Manipulate MP3 audio files)
Signed-off-by: Michiel van Wessem <michiel@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/perl-MP3-Info/README5
-rw-r--r--libraries/perl-MP3-Info/perl-MP3-Info.SlackBuild80
-rw-r--r--libraries/perl-MP3-Info/perl-MP3-Info.info10
-rw-r--r--libraries/perl-MP3-Info/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/libraries/perl-MP3-Info/README b/libraries/perl-MP3-Info/README
new file mode 100644
index 0000000000..ffd93e7683
--- /dev/null
+++ b/libraries/perl-MP3-Info/README
@@ -0,0 +1,5 @@
+This is MP3::Info, for getting info out of and into MP3 files.
+
+The project homepage is:
+
+ http://www.slimdevices.com/
diff --git a/libraries/perl-MP3-Info/perl-MP3-Info.SlackBuild b/libraries/perl-MP3-Info/perl-MP3-Info.SlackBuild
new file mode 100644
index 0000000000..a4f472cc91
--- /dev/null
+++ b/libraries/perl-MP3-Info/perl-MP3-Info.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for perl-MP3-Info
+
+# Written by Mark Grocock <mark@grocock.me.uk>
+
+SRCNAM=MP3-Info
+PRGNAM=perl-$SRCNAM
+VERSION=${VERSION:-1.24}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Changes README TODO eg \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/perl-MP3-Info/perl-MP3-Info.info b/libraries/perl-MP3-Info/perl-MP3-Info.info
new file mode 100644
index 0000000000..a32b48d5f6
--- /dev/null
+++ b/libraries/perl-MP3-Info/perl-MP3-Info.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-MP3-Info"
+VERSION="1.24"
+HOMEPAGE="http://search.cpan.org/~daniel/MP3-Info-1.24/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/D/DA/DANIEL/MP3-Info-1.24.tar.gz"
+MD5SUM="fb4bcc43764e3b46c3a7c74b50ed7a44"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mark Grocock"
+EMAIL="mark@grocock.me.uk"
+APPROVED="Michiel van Wessem"
diff --git a/libraries/perl-MP3-Info/slack-desc b/libraries/perl-MP3-Info/slack-desc
new file mode 100644
index 0000000000..917b1f1cd3
--- /dev/null
+++ b/libraries/perl-MP3-Info/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-MP3-Info: perl-MP3-Info (Manipulate / fetch info from MP3 audio files)
+perl-MP3-Info:
+perl-MP3-Info: This is MP3::Info, for getting info out of and into MP3 files.
+perl-MP3-Info:
+perl-MP3-Info: http://search.cpan.org/~daniel/MP3-Info-1.24/
+perl-MP3-Info:
+perl-MP3-Info:
+perl-MP3-Info:
+perl-MP3-Info:
+perl-MP3-Info:
+perl-MP3-Info: